Output a WebP image to browser or file

- « imagewbmp

- imagexbm »

- PHP Manual
- GD and Image Functions
- Output a WebP image to browser or file

# imagewebp

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

imagewebp — Output a WebP image to browser or file

### Description

imagewebp(GdImage `$image`, resource|string|null `$file` = `null`, int `$quality` = -1): bool

Outputs or saves a WebP version of the given `image`.

### Parameters

`image`

  A GdImage object, returned by one of the image creation functions, such as imagecreatetruecolor().

`file`

  The path or an open stream resource (which is automatically closed after this function returns) to save the file to. If not set or `null`, the raw image stream will be output directly.

`quality`

  `quality` ranges from 0 (worst quality, smaller file) to 100 (best quality, biggest file).

### Return Values

Returns `true` on success or `false` on failure.

Caution

However, if libgd fails to output the image, this function returns `true`.

### Errors/Exceptions

Throws a ValueError if `quality` is invalid.

### Changelog

Version | Description
--- | ---
8.4.0 | Now throws a ValueError if `quality` is invalid.
8.0.0 | `image` expects a GdImage instance now; previously, a valid `gd` resource was expected.

### Examples

Example #1 Saving an WebP file

    <?php
    // Create a blank image and add some text
    $im = imagecreatetruecolor(120, 20);
    $text_color = imagecolorallocate($im, 233, 14, 91);

    imagestring($im, 1, 5, 5,  'WebP with PHP', $text_color);

    // Save the image
    imagewebp($im, 'php.webp');

    // Free up memory
    imagedestroy($im);
    ?>